		<?php 
		$footer_top = get_field( 'footer_top', 'options' );
		if (!is_page_template('t_contact.php') && array_filter($footer_top) && !is_404() && !is_home() && !is_singular('post') && !is_archive() && !is_search() && $footer_top || is_woocommerce()): ?>
		<section class="footer-top">
			<div class="container">
				<?php if ($footer_top['title'] || $footer_top['sub_title']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title separator white">
							<?php
								if ($footer_top['title']) 
								{
									printf('<h2 class="title font-italic text-uppercase">%s</h2>', $footer_top['title']);
								}

								if ($footer_top['sub_title']) 
								{
									printf('%s', $footer_top['sub_title']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($footer_top['how_it_works'] || $footer_top['button']): ?>
				<div class="row lr-9 eq-height">
					<?php foreach ($footer_top['how_it_works'] as $key => $how_work): ?>
					<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-12">
						<div id="how-work-item-<?php echo $key; ?>" class="how-work-item">
							<?php
								if ($how_work['icon']) 
								{
									printf('<div class="icon">
										<i class="%s"></i>
									</div>', $how_work['icon']);
								}

								if ($how_work['title'] || $how_work['description']) 
								{
									echo '<div class="text">';
									if ($how_work['title']) 
									{
										printf('<h3 class="title font-italic text-uppercase">%s</h3>', $how_work['title']);
									}

									if ($how_work['description']) 
									{
										printf('%s', $how_work['description']);
									}
									echo '</div>';
								}
							?>
						</div>
					</div><!-- /how-work-item -->
					<?php endforeach; ?>

					<?php if ($footer_top['button']): ?>
					<div class="col-xl-3 col-lg-3 col-md-6 col-sm-6 col-xs-12">
						<a href="<?php echo esc_url($footer_top['button']['url']); ?>" class="how-work-item-button d-flex flex-column justify-content-center" target="<?php echo $footer_top['button']['target']; ?>">
							<div class="text">
								<h3 class="title font-italic text-uppercase"><?php echo $footer_top['button']['title']; ?></h3>
							</div>

							<div class="icon">
								<i class="icon-arrow-long-right icon-round"></i>
							</div>
						</a>
					</div><!-- /how-work-item -->
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /how-works -->
		<?php endif; ?>

		<footer class="footer">
			<div class="container">
				<div class="row">
					<div class="col-xl-3 col-lg-3 col-md-4 col-sm-12 col-xs-12">
						<div class="footer-logo">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<?php
						 			$logo = get_field( 'footer_logo', 'options' );
						 			if ($logo) 
						 			{
						 				printf('<img src="%s" class="img-fluid" alt="%s">', esc_url($logo['url']), $logo['alt']);
						 			}
						 			else 
						 			{
						 				printf('<img src="%s" class="img-fluid" alt="Wager Consultants">', esc_url(get_theme_file_uri('images/footer-logo.png')));
						 			}
						 		?>
							</a>
						</div>
					</div>

					<div class="col-xl-9 col-lg-9 col-md-8 col-sm-12 col-xs-12">
						<div class="footer-right text-right">
							<?php 
								wp_nav_menu( array(
		                            'menu'               => 'Footer Menu',
		                            'theme_location'     => 'menu-2',
		                            'depth'              => 2,
		                            'container'          => 'false',
		                            'menu_class'         => 'footer-menu list-inline list-unstyled',
		                            'menu_id'            => '',
		                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
		                            'walker'             => new wp_bootstrap_navwalker(),
		                        ));

		                        $copyright = get_field( 'copyright', 'options' );
		                        echo '<div class="copyright">';
		                        if ($copyright) 
		                        {
		                        	printf('<p>%s</p>', $copyright);
		                        }
		                        else
		                        {
		                        	printf('<p class="text-uppercase">Copyright ©%s %s. <span>All Rights Reserved.</span></p>', date('Y'), get_bloginfo());
		                        }
		                        echo '</div>';
							?>
						</div>
					</div>
				</div>
			</div>
		</footer><!-- /footer -->
		<?php wp_footer(); ?>
	</body>
</html>