<?php
/*
Template Name: Contact Us
*/
get_header(); ?>

	<div id="primary" class="content-area">
		
		<section class="contact-page">
			<div class="container">
				<div class="row">
					<?php $contact_us = get_field( 'contact_us' ); $contacts = get_field( 'contacts', 'options' ); if ($contact_us || $contacts): ?>
					<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12">
						<div class="content">
							<?php
								if ($contact_us['title'] || $contact_us['content']) 
								{
									echo '<div class="entry-title">';
									if ($contact_us['title']) 
									{
										printf('<h1 class="title font-italic text-uppercase">%s</h1>', $contact_us['title']);
									}

									if ($contact_us['content']) 
									{
										printf('%s', $contact_us['content']);
									}
									echo '</div>';
								}

								if ($contacts) 
								{
									echo '<ul class="quick-contact list-unstyled">';
										if ($contacts['address']) 
										{
											printf('<li class="address">
												<div class="icon float-left">
													<i class="icon-location"></i>
												</div>

												<div class="text">
													<a href="%s" target="_blank">%s</a>
												</div>
											</li>', esc_url($contacts['google_map_url']), $contacts['address']);
										}

										if ($contacts['phone']) 
										{
											printf('<li class="phone">
												<div class="icon float-left">
													<i class="icon-phone"></i>
												</div>

												<div class="text">
													<a href="tel:%s">%s</a>
												</div>
											</li>', $contacts['phone'], $contacts['phone']);
										}

										if ($contacts['email']) 
										{
											printf('<li class="email">
												<div class="icon float-left">
													<i class="icon-email"></i>
												</div>

												<div class="text">
													<a href="mailto:%s">%s</a>
												</div>
											</li>', $contacts['email'], $contacts['email']);
										}
									echo '</ul>';
								}
							?>
						</div>
					</div>
					<?php endif; ?>

					<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12">
						<div class="contact-form">
							<?php  
								if ($contact_us['contact_form_title']) 
								{
									printf('<h5 class="title">%s</h5>', $contact_us['contact_form_title']);
								}

								echo do_shortcode('[gravityform id="1" title="false" description="false" tabindex="20" ajax="true"]');
							?>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /contact-page -->

	</div><!-- /primary -->

<?php get_footer(); ?>