<?php
/*
Template Name: Home
*/
get_header(); ?>
	
	<?php $banner = get_field( 'banner' ); if ($banner): ?>
	<section class="banner gutter coverbg d-flex align-items-end" style="background-image: url(<?php echo esc_url($banner['image']['url']); ?>);">
		<div class="container">
			<button class="scrollDown">Scroll Down
				<i class="icon-arrow-long-right icon-round"></i>
			</button>
			<div class="row">
				<div class="col">
					<div class="content">
						<?php
							if ($banner['title']) 
							{
								printf('<h1 class="hero-title text-uppercase font-italic">%s</h1>', $banner['title']);
							}

							if ($banner['description']) 
							{
								printf('%s', $banner['description']);
							}

							acfButton($banner);
						?>
					</div>
				</div>
			</div>
		</div>

		<?php if ( $banner['video'] ): ?>
		<video autoplay muted loop class="wager-video" poster="<?php echo esc_url($banner['image']['url']); ?>">
			<source type="<?php echo $banner['video']['mime_type']; ?>" src="<?php echo $banner['video']['url']; ?>">
		</video>
		<?php endif; ?>
	</section><!-- /banner -->
	<?php endif; ?>

	<div id="primary" class="content-area">

		<?php $featured_packages = get_field( 'featured_packages' ); if ($featured_packages): ?>
		<section class="featured-packages">
			<div class="container">
				<?php if ($featured_packages['title'] || $featured_packages['description']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title separator">
							<?php
								if ($featured_packages['title']) 
								{
									printf('<h3 class="title text-uppercase font-italic">%s</h3>', $featured_packages['title']);
								}

								if ($featured_packages['description']) 
								{
									printf('%s', $featured_packages['description']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php
					$features_packages_args = array(
					   'meta_value' => 'yes',
					   'posts_per_page' => 3,
					   'post_type' => 'product',
					   'post_status' => 'publish',
					   'ignore_sticky_posts' => 1,
					   'meta_key' => '_is_ns_featured_post', 
					);

					$features_packages_loop = new WP_Query( $features_packages_args );
					if($features_packages_loop->have_posts()):
				?>
				<div class="row lr-9 eq-height">
				<?php 
					while($features_packages_loop->have_posts()) : $features_packages_loop->the_post(); 
						$product = wc_get_product( $post->ID );
						$package_cats = get_the_terms( $post->ID, 'product_cat' );
						$icon = get_field( 'product_cat_icon', 'product_cat_'.$package_cats[0]->term_id );
					?>
					<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12">
						<div class="woo-featured-package">
							<div class="media">
								<a href="<?php the_permalink(); ?>">
									<?php
										if (has_post_thumbnail()) 
										{
											the_post_thumbnail('package_featured', array('class' => 'img-fluid'));
										}
										else
										{
											printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-featured-package')));
										}
									?>
								</a>

								<?php if ($icon): ?>
								<div class="icon">
									<i class="<?php echo $icon; ?>"></i>
								</div>
								<?php endif; ?>
							</div>

							<div class="text">
								<a href="<?php the_permalink(); ?>"><?php the_title('<h5 class="title text-uppercase font-italic">', '</h5>'); ?></a>
								<?php
									if (has_excerpt()) 
									{
										printf('<p>%s</p>', get_the_excerpt());
									}
									else 
									{
										printf('<p>%s</p>', Limit_Text(get_the_content(), 190));
									}
								?>

								<div class="entry-footer d-flex align-items-center justify-content-between">
									<?php if ($product->get_price()): ?>
									<span class="price"><span class="currencySymbol"><?php echo get_woocommerce_currency_symbol(); ?></span><?php echo number_format($product->get_price(), 2, '.', ''); ?></span>
									<?php endif; ?>

									<div class="button-group">
									<?php 
										echo apply_filters( 'woocommerce_loop_add_to_cart_link',
									    sprintf( '<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" data-quantity="%s" class="button add_to_cart_button ajax_add_to_cart btn buy-now-button text-uppercase %s product_type_%s">%s</a>',
									        esc_url( $product->add_to_cart_url() ),
									        esc_attr( $product->id ),
									        esc_attr( $product->get_sku() ),
									        esc_attr( 1 ),
									        $product->is_purchasable() && $product->is_in_stock() ? 'add_to_cart_button' : '',
									        esc_attr( $product->product_type ),
									        'Buy Now'
									    ),
										$product ); 
									?>
									</div>
								</div>
							</div>
						</div>
					</div><!-- /woo-featured-package -->
					<?php endwhile; ?>
				</div>
				<?php endif; wp_reset_query(); ?>
			</div>
		</section><!-- /featured-packages -->
		<?php endif; ?>

		<?php $why_wager = get_field( 'why_wager' ); if ($why_wager): ?>
		<section class="wc-difference coverbg" style="background-image: url(<?php echo esc_url($why_wager['background']['url']); ?>);">
			<div class="container">
				<div class="row align-items-center">
					<?php if ($why_wager['title'] || $why_wager['description'] || array_filter($why_wager['button'])): ?>
					<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
						<div class="content">
							<?php if ($why_wager['title'] || $why_wager['description']): ?>
							<div class="entry-title">
								<?php
									if ($why_wager['title']) 
									{
										printf('<h2 class="title text-uppercase font-italic">%s</h2>', $why_wager['title']);
									}

									if ($why_wager['description']) 
									{
										printf('%s', $why_wager['description']);
									}
								?>
							</div>
							<?php endif; ?>

							<?php acfButton($why_wager); ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($why_wager['image']): ?>
					<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
						<div class="media">
							<?php printf('<img src="%s" class="img-fluid mx-auto" alt="%s">', esc_url($why_wager['image']['url']), $why_wager['image']['alt']); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /wc-difference -->
		<?php endif; ?>

		<?php $packages_slider = get_field( 'packages_slider', 'options' ); if ($packages_slider): ?>
		<section style="padding-bottom: 0">
			<div class="container">
				<div class="row">
					<div class="col">
						<hr>
					</div>
				</div>
			</div>
		</section>

		<section class="package-slider-wrapper">
			<div class="container">
				<?php if ($packages_slider['packages']): ?>
				<div class="row">
					<div class="col">
						<div class="packageSliderArrow float-left">
							<button class="slickpPrev slickArrow black"><i class=" icon-arrow-left"></i></button>
						</div>

						<div class="packageSlider">
						<?php 
							foreach ($packages_slider['packages'] as $key => $pac_slide): 
								$package_cats = get_the_terms( $pac_slide->ID, 'product_cat' );
								$icon = get_field( 'product_cat_icon', 'product_cat_'.$package_cats[0]->term_id );
							?>
							<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12">
								<a href="<?php the_permalink($pac_slide->ID); ?>" class="packageSliderItem">
									<div class="media">
										<?php 
											if (has_post_thumbnail($pac_slide->ID))
											{
												echo get_the_post_thumbnail($pac_slide->ID, 'package_slide', array('class' => 'img-fluid'));
											}
											else
											{
												printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-package-slide.jpg')));
											}
										?>
									</div>

									<div class="content d-flex flex-column justify-content-between">
										<?php
											if ($icon) 
											{
												printf('<div class="icon">
													<i class="%s"></i>
												</div>', $icon);
											}
										?>

										<div class="entry-title">
											<?php
												printf('<h3 class="title separator">%s</h3>', Limit_Text(get_the_title($pac_slide->ID), 30));

												if ($package_cats) 
												{
													printf('<span class="small-title text-uppercase">%s</span>', $package_cats[0]->name);
												}
											?>
										</div>
									</div>
								</a>
							</div><!-- /packageSliderItem -->
							<?php endforeach; ?>
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col">
						<div class="slider-progress"><div class="progress"></div></div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /package-slider-wrapper -->
		<?php endif; ?>

		<?php $home_pick = get_field( 'home_pick' ); if ($home_pick): ?>
		<section class="pick home-pick">
			<div class="container">
				<div class="row align-items-center flex-row-reverse">
					<?php if ($home_pick['title'] || $home_pick['description'] || array_filter($home_pick['button'])): ?>
					<div class="col-xl-8 col-lg-8 col-md-8 col-sm-8 col-xs-12">
						<div class="content">
							<?php if ($home_pick['title'] || $home_pick['description']): ?>
							<div class="entry-title separator white">
								<?php
									if ($home_pick['title']) 
									{
										printf('<h2 class="title text-uppercase font-italic">%s</h2>', $home_pick['title']);
									}

									if ($home_pick['description']) 
									{
										printf('%s', $home_pick['description']);
									}
								?>
							</div>
							<?php endif; ?>

							<?php acfButton($home_pick); ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($home_pick['image']): ?>
					<div class="col-xl-4 col-lg-4 col-md-4 col-sm-4 col-xs-12">
						<div class="media">
							<?php printf('<img src="%s" class="img-fluid mx-auto" alt="%s">', esc_url($home_pick['image']['url']), $home_pick['image']['alt']); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
			</div>
		</section><!-- /pick -->
		<?php endif; ?>

		<section class="latest-news">
			<div class="container">
				<?php $latest_news = get_field( 'latest_news' ); if ($latest_news['title'] || $latest_news['description']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title separator">
							<?php
								if ($latest_news['title']) 
								{
									printf('<h2 class="title text-uppercase font-italic">%s</h2>', $latest_news['title']);
								}

								if ($latest_news['description']) 
								{
									printf('%s', $latest_news['description']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<div class="row">
					<main class="main-content col-xl-9 col-lg-9 col-md-12 col-sm-12">
						<?php
							if ($latest_news['small_title']) 
							{
								printf('<h4 class="small-title text-uppercase">%s</h4>', $latest_news['small_title']);
							}

							$posts_per_page = $latest_news['number_of_posts'] ? $latest_news['number_of_posts'] : 3;

							$args = array(
								'post_type' => 'post',
								'posts_per_page' => $posts_per_page,
							);

							$loop = new WP_Query( $args );

							if ( $loop->have_posts() ) : while( $loop->have_posts() ) : $loop->the_post();
								$archive_month = get_the_time('m'); 
								$archive_day   = get_the_time('d'); 
								$archive_year  = get_the_time('Y'); 
						?>
						<article id="post-<?php the_ID(); ?>" <?php post_class('blog-post d-flex align-items-center'); ?>>
							<div class="media float-left">
								<a href="<?php the_permalink(); ?>">
									<?php
										if (has_post_thumbnail()) 
										{
											the_post_thumbnail('blog_thumb', array('class' => 'img-fluid'));
										}
										else
										{
											printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-blog-post.jpg')));
										}
									?>
								</a>
							</div>

							<div class="entry-content">
								<a href="<?php echo get_day_link( $archive_year, $archive_month, $archive_day); ?>"><span class="date text-uppercase"><?php echo get_the_date('F j, Y'); ?></span></a>

								<a href="<?php the_permalink(); ?>">
									<h5 class="entry-title"><?php the_title(); ?></h5>
								</a>
							</div>
						</article><!-- blog-post -->
						<?php endwhile; endif; wp_reset_postdata(); ?>

						<?php if ($latest_news['button']): ?>
						<div class="entry-footer">
							<?php 
								if ($latest_news['button']['type'] == 'internal') 
								{
									printf('<a href="%s" class="view-all">%s <i class="icon-arrow-long-right icon-round"></i></a>', esc_url($latest_news['button']['internal_url']), $latest_news['button']['text']); 
								}
								else 
								{
									printf('<a href="%s" class="view-all" target="_blank">%s <i class="icon-arrow-long-right icon-round"></i></a>', esc_url($latest_news['button']['external_url']), $latest_news['button']['text']); 
								}
							?>
						</div>
						<?php endif; ?>
					</main>

					<aside class="woo-sidebar col-xl-3 col-lg-3 col-md-12 col-sm-12">
						<?php
							if ($latest_news['right_small_title']) 
							{
								printf('<h4 class="small-title text-uppercase">%s</h4>', $latest_news['right_small_title']);
							}

							$sppp = $latest_news['number_of_suggested_reading'] ? $latest_news['number_of_suggested_reading'] : 4;
							$popular_posts_args = array(
								'posts_per_page' => $sppp,
								'meta_key' => 'my_post_viewed',
								'orderby' => 'meta_value_num',
								'order'=> 'DESC'
							);

							$popular_posts_loop = new WP_Query( $popular_posts_args );

							if ( $popular_posts_loop->have_posts() ) :
						?>
						<div class="row lr-9">
							<?php while( $popular_posts_loop->have_posts() ) : $popular_posts_loop->the_post(); ?>
							<div class="col-xl-12 col-lg-12 col-md-6 col-sm-6 col-xs-12">
								<a href="<?php the_permalink(); ?>" <?php post_class('woo-category-item'); ?>>
									<div class="media">
										<?php
											if (has_post_thumbnail()) 
											{
												the_post_thumbnail('blog_thumb', array('class' => 'img-fluid'));
											}
											else
											{
												printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-blog-post.jpg')));
											}
										?>
									</div>

									<div class="text">
										<h5 class="title"><?php echo Limit_Text(get_the_title(), 35); ?></h5>
									</div>
								</a>
							</div><!-- /woo-category-item -->
							<?php endwhile; ?>
						</div>
						<?php endif; wp_reset_query(); ?>
					</aside>
				</div>
			</div>
		</section><!-- /latest-news -->

	</div><!-- /primary -->

<?php get_footer(); ?>