<?php
/*
Template Name: About Us
*/
get_header(); ?>

	<?php $about_banner = get_field( 'about_banner' ); if ($about_banner): $banner_background = $about_banner['background'] ? $about_banner['background']['url'] : get_theme_file_uri('images/banner-about.jpg'); ?>
	<section class="banner-about gutter coverbg d-flex align-items-center" style="background-image: url(<?php echo esc_url($banner_background); ?>);">
		<div class="container">
			<div class="row align-items-center justify-content-between">
				<?php if ($about_banner['title'] || $about_banner['description']): ?>
				<div class="col-xl-5 col-lg-5 col-md-5">
					<div class="content">
						<div class="entry-title">
							<?php
								if ($about_banner['title']) 
								{
									printf('<h1 class="title white text-uppercase font-italic">%s</h1>', $about_banner['title']);
								}

								if ($about_banner['description']) 
								{
									printf('%s', $about_banner['description']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($about_banner['image']): ?>
				<div class="col-xl-7 col-lg-7 col-md-7">
					<div class="media text-right">
						<?php printf('<img src="%s" class="img-fluid" alt="%s">', esc_url($about_banner['image']['url']), $about_banner['image']['alt']); ?>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</div>
	</section>
	<?php endif; ?>

	<div id="primary" class="content-area">
		
		<?php $about_us = get_field( 'about_us' ); if ($about_us): ?>
		<div class="container">
			<div class="row">
				<div class="col">
					<hr>
				</div>
			</div>
		</div><!-- /hr -->

		<section class="about-us">
			<div class="container">
				<?php if ($about_us['title'] || $about_us['sub_title']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title">
							<?php
								if ($about_us['title']) 
								{
									printf('<h3 class="title font-italic text-uppercase">%s</h3>', $about_us['title']);
								}

								if ($about_us['sub_title']) 
								{
									printf('<h5 class="sub-title text-uppercase font-italic">%s</h5>', $about_us['sub_title']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($about_us['content'] || $about_us['image']): ?>
				<div class="row">
					<?php if ($about_us['content']): ?>
					<div class="col-xl-7 col-lg-7 col-md-7 col-sm-12 col-xs-12">
						<div class="content">
							<?php printf('%s', $about_us['content']); ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($about_us['image']): ?>
					<div class="col-xl-5 col-lg-5 col-md-5 col-sm-12 col-xs-12">
						<div class="media">
							<?php printf('<img src="%s" class="img-fluid mx-auto" alt="%s">', esc_url($about_us['image']['url']), $about_us['image']['alt']); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /about-us -->
		<?php endif; ?>

		<?php $tiered_system = get_field( 'tiered_system' ); if ($tiered_system): ?>
		<div class="container">
			<div class="row">
				<div class="col">
					<hr>
				</div>
			</div>
		</div><!-- /hr -->

		<section class="tiered-system">
			<div class="container">
				<?php if ($tiered_system['title']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title text-center">
							<?php printf('<h3 class="title text-uppercase font-italic">%s</h3>', $tiered_system['title']) ?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($tiered_system['tiered_system']): ?>
				<div class="row lr-9 eq-height">
				<?php 
					foreach ($tiered_system['tiered_system'] as $key => $tiered_system): 
						$target = $tiered_system['link']['type'] === 'external' ? '_blank' : '';
						$link = ($tiered_system['link']['type'] === 'internal') ? $tiered_system['link']['internal_url'] : (($tiered_system['link']['type'] === 'external') ? $tiered_system['link']['external_url'] : '');

						?>
					<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12">
						<a href="<?php echo esc_url($link); ?>" class="tiered-system-item <?php if($tiered_system['link']['type'] == 'none') echo 'none'; ?>" target="<?php echo $target; ?>">
							<?php if ($tiered_system['image']): ?>
							<div class="media">
								<?php printf('<img src="%s" class="img-fluid" alt="%s">', esc_url($tiered_system['image']['url']), $tiered_system['image']['alt']); ?>
							</div>
							<?php endif; ?>

							<?php if ($tiered_system['title']): ?>
							<div class="text">
								<?php printf('<h4 class="title text-uppercase font-italic">%s</h4>', $tiered_system['title']); ?>
							</div>
							<?php endif; ?>
						</a>
					</div><!-- /tiered-system-item -->
					<?php endforeach; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /tiered-system -->
		<?php endif; ?>

		<?php $make_money = get_field( 'make_you_money' ); if ($make_money): ?>
		<div class="container">
			<div class="row">
				<div class="col">
					<hr>
				</div>
			</div>
		</div><!-- /hr -->

		<section class="about-us">
			<div class="container">
				<?php if ($make_money['title'] || $make_money['sub_title']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title">
							<?php
								if ($make_money['title']) 
								{
									printf('<h3 class="title font-italic text-uppercase">%s</h3>', $make_money['title']);
								}

								if ($make_money['sub_title']) 
								{
									printf('<h5 class="sub-title text-uppercase font-italic">%s</h5>', $make_money['sub_title']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($make_money['content'] || $make_money['image']): ?>
				<div class="row">
					<?php if ($make_money['content']): ?>
					<div class="col-xl-7 col-lg-7 col-md-7 col-sm-12 col-xs-12">
						<div class="content">
							<?php printf('%s', $make_money['content']); ?>
						</div>
					</div>
					<?php endif; ?>

					<?php if ($make_money['image']): ?>
					<div class="col-xl-5 col-lg-5 col-md-5 col-sm-12 col-xs-12">
						<div class="media">
							<?php printf('<img src="%s" class="img-fluid mx-auto" alt="%s">', esc_url($make_money['image']['url']), $make_money['image']['alt']); ?>
						</div>
					</div>
					<?php endif; ?>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /about-us -->
		<?php endif; ?>

	</div><!-- /primary -->
		
<?php get_footer(); ?>