<?php
/*
Template Name: Live Odds Main
*/

get_header();

$page_header = get_field('wclom_page_header'); ?>

<div id="primary" class="content-area">

	<section class="liveodds-page">
		<div class="container-fluid">
			<div class="row">
				<div class="col">
					<div class="header-content">
						<div class="entry-title">
							<?php
							if ($page_header['title']) {
								printf('<h3 class="title font-italic">%s</h3>',  $page_header['title']);
							} else {
								printf('<h3 class="title font-italic">%s</h3>',  get_the_title());
							}

							if ($page_header['sub_title']) {
								printf('<h5 class="sub-title text-uppercase font-italic">%s</h5>',  $page_header['sub_title']);
							}
							?>
						</div>

						<nav class="navbar-liveodds">
							<ul class="navbar-nav">
								<li data-link="NFL" class="active"><a href="#" class="icon-american-football">NFL</a></li>
								<li data-link="MLB"><a href="#" class="icon-baseball">MLB</a></li>
								<li data-link="NBA"><a href="#" class="icon-sports">NBA</a></li>
								<li data-link="NHL"><a href="#" class="icon-american-football">NHL</a></li>
								<li data-link="NCAAF"><a href="#" class="icon-football">CFB</a></li>
								<li data-link="CBB"><a href="#" class="icon-baseball">CBB</a></li>
								<li data-link="today"><a href="#" class="icon-calendar-today">Today’s Games</a></li>
							</ul>
						</nav>
					</div>
				</div>
			</div>
		</div>
	</section><!-- /liveodds-page -->

	<section class="nfl-odds">
		<div class="container-fluid">
			<div class="row">
				<div class="col-12">
					<div class="nfl-odds__title">
						<h4 class="title">NFL Odds</h4>
					</div>

					<div class="sport-books-navbar">
						<ul class="nav-list">
							<li><a href="#">Today</a></li>
							<li><a href="#">Yesterday</a></li>
							<li><a href="#">Selected Games</a></li>
							<li>
								<div class="datepicker">
									<input type="date" id="game-datepicker" name="game-datepicker">
								</div>
							</li>
						</ul>
						<ul class="nav-list nav-list--right ml-auto">
							<li class="radio-group">
								<div class="radio-check">
									<input class="radio-check-input" type="radio" id="spread" name="liveodds-radio" checked>
									<label class="radio-check-label" for="spread">Spread</label>
								</div>
								<div class="radio-check">
									<input class="radio-check-input" type="radio" id="total" name="liveodds-radio">
									<label class="radio-check-label" for="total">Total</label>
								</div>
								<div class="radio-check">
									<input class="radio-check-input" type="radio" id="moneyline" name="liveodds-radio">
									<label class="radio-check-label" for="moneyline">Moneyline</label>
								</div>
								<div class="radio-check">
									<input class="radio-check-input" type="radio" id="combined" name="liveodds-radio">
									<label class="radio-check-label" for="combined">Combined</label>
								</div>
							</li>
							<li class="btn-book"><a data-target="#customize-book" class="icon-gear" data-toggle="modal">Customize Books</a></li>
						</ul>


						<!-- Modal -->
						<div class="modal fade customize-book" id="customize-book">
							<div class="modal-dialog modal-dialog-centered">
								<div class="modal-content">
									<div class="modal-header">
										<h6 class="title icon-gear">Customize Books</h6>
										<p>Click and drag to organize your books</p>
									</div>
									<div class="modal-body">
										<div class="customize-book-wrapper d-flex">
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-1.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-2.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-3.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-4.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-5.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-6.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
											<div class="customize-book-item">
												<figure class="media">
													<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-7.png') ?>" class="img-fluid" alt="">
												</figure>

												<div class="icon-wrap">
													<i class="icon-align-center"></i>
												</div>
											</div>
										</div>
									</div>
									<div class="modal-footer">
										<button type="button" class="btn">Save and Close</button>
										<a class="btn-close" data-dismiss="modal">Cancel</a>
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="time-scrub-wrap">
						<div class="time-scrub-container">
							<div id="jplayer__time-scrub" class="jp-jplayer"></div>
							<div class="time-scrub">
								<div class="time-scrub__controls">
									<button class="prev-button time-scrub-button">
										<i class="icon-paly-beginning-prev"></i>
									</button>
									<button class="prev-rewind-button time-scrub-button">
										<i class="icon-play-back"></i>
									</button>

									<!-- <button class="play-button jp-play">
										<i class="icon-play"></i>
									</button> -->

									<div class="play-controls play-button">
										<a href="javascript:;" class="icon-play jp-play"></a>
										<a href="javascript:;" class="icon-pause jp-pause"></a>
									</div>

									<button class="next-rewind-button time-scrub-button">
										<i class="icon-play-forward"></i>
									</button>
									<button class="next-button  time-scrub-button">
										<i class="icon-paly-beginning-next"></i>
									</button>
								</div>

								<div class="time-scrub__progress-bar jp-progress">
									<!-- <div class="time-marker"></div>
									<div class="time-switch-button"></div> -->
									<div class="jp-seek-bar">
										<div class="jp-play-bar">
											<div class="bullet"></div>
										</div>
									</div>
								</div>

								<div class="time-scrub__live-time">
									<span class="time">11:34pm</span>
									<span class="date">Mon, Mar 29, 2021</span>
								</div>
							</div>
							<div class="jp-playlist">
								<ul>
									<!-- The method Playlist.displayPlaylist() uses this unordered list -->
									<li></li>
								</ul>
							</div>

						</div>
					</div>

					<span class="drag-text">Click and drag to scroll through.</span>
					<div class="game-board-table table-responsive">
						<table class="table" id="live-odds">
							<thead class="sticky-thead" id="headers">
								<tr style="height:70px;">
									<th class="item-name">Game</th>
									<th class="score">Score</th>
									<th class="bet">Bet %</th>
									<th class="money">Money %</th>
									<th class="open">Open</th>
									<th class="wc">WC</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-1.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-2.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-3.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-4.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-5.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-8.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-9.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-1.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-2.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-3.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-4.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-5.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-8.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-9.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-1.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-2.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-3.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-4.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-5.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-8.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-9.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-1.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-2.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-3.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-4.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-5.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-8.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
									<th class="sports-img">
										<figure class="media">
											<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/sports-book-9.png') ?>" class="img-fluid" alt="">
										</figure>
									</th>
								</tr>
							</thead>
							<tbody id="rows">

							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</section><!-- /nfl-odds -->

	<?php $wclom_content = get_field('wclom_content');
	if (!empty($wclom_content) && array_filter($wclom_content)) : ?>
		<section class="nfl-odds-glossary">
			<div class="container">
				<div class="row">
					<div class="col-12">
						<div class="content">
							<?php
							if ($wclom_content['title']) {
								printf('<h3 class="title">%s</h3>', $wclom_content['title']);
							}

							if ($wclom_content['content']) {
								printf('%s',  $wclom_content['content']);
							}
							?>
						</div>
					</div>
				</div>
			</div>
		</section>
	<?php endif; ?>

</div><!-- /content-area -->
<script src="<?php echo get_template_directory_uri(); ?>/js/node_modules/socket.io/client-dist/socket.io.js"></script>		
<script>
	//const NFL = "https://static.www.nfl.com/t_q-best/league/api/clubs/logos/";
	//const NBA = "https://www.nba.com/.element/img/1.0/teamsites/logos/teamlogos_500x500/";
	// https://github.com/kshvmdn/nba.js/blob/master/docs/api/DATA.md#method-reference
	var QUERY_SPORT_ID ="NFL";

	const URL_LOGOS = {
		'NFL': "https://static.www.nfl.com/league/api/clubs/logos/",
		'NBA': "https://cdn.nba.com/logos/nba/"
	}

	const TEAMS = {
		"Arizona Cardinals": "ARI",
		"Atlanta Falcons": "ATL",
		"Baltimore Ravens": "BAL",
		"Buffalo Bills": "BUF",
		"Carolina Panthers": "CAR",
		"Chicago Bears": "CHI",
		"Cincinnati Bengals": "CIN",
		"Cleveland Browns": "CLE",
		"Dallas Cowboys": "DAL",
		"Denver Broncos": "DEN",
		"Detroit Lions": "DET",
		"Green Bay Packers": "GB",
		"Houston Texans": "HOU",
		"Indianapolis Colts": "IND",
		"Jacksonville Jaguars": "JAX",
		"Kansas City Chiefs": "KC",
		"Las Vegas Raiders": "LV",
		"Los Angeles Chargers": "LAC",
		"Los Angeles Rams": "LAR",
		"Miami Dolphins": "MIA",
		"Minnesota Vikings": "MIN",
		"New England Patriots": "NE",
		"New Orleans Saints": "NO",
		"New York Giants": "NYG",
		"New York Jets": "NYJ",
		"Philadelphia Eagles": "PHI",
		"Pittsburgh Steelers": "PIT",
		"San Francisco 49ers": "SF",
		"Seattle Seahawks": "SEA",
		"Tampa Bay Buccaneers": "TB",
		"Tennessee Titans": "TEN",
		"Washington Football Team": "WAS",
	};

	const NBA_TEAMS = {
		'Atlanta Hawks': {
			"tricode": 'atl.png',
			"ID": "1610612737"
		},
		'Brooklyn Nets': {
			"tricode": 'bkn.png',
			"ID": "1610612751"
		},
		'Boston Celtics': {
			"tricode": 'bos.png',
			"ID": "1610612738"
		},
		'Charlotte Hornets': {
			"tricode": 'cha.png',
			"ID": "1610612766"
		},
		'Chicago Bulls': {
			"tricode": 'chi.png',
			"ID": "1610612741"
		},
		'Cleveland Cavaliers': {
			"tricode": 'cle.png',
			"ID": "1610612739"
		},
		'Dallas Mavericks': {
			"tricode": 'dal.png',
			"ID": "1610612742"
		},
		'Denver Nuggets': {
			"tricode": 'den.png',
			"ID": "1610612743"
		},
		'Detroit Pistons': {
			"tricode": 'det.png',
			"ID": "1610612765"
		},
		'Golden State Warriors': {
			"tricode": 'gsw.png',
			"ID": "1610612744"
		},
		'Houston Rockets': {
			"tricode": 'hou.png',
			"ID": "1610612745"
		},
		'Indiana Pacers': {
			"tricode": 'ind.png',
			"ID": "1610612754"
		},
		'LA Clippers': {
			"tricode": 'lac.png',
			"ID": "1610612746"
		},
		'LA Lakers': {
			"tricode": 'lal.png',
			"ID": "1610612747"
		},
		'Memphis Grizzlies': {
			"tricode": 'mem.png',
			"ID": "1610612763"
		},
		'Miami Heat': {
			"tricode": 'mia.png',
			"ID": "1610612748"
		},
		'Milwaukee Bucks': {
			"tricode": 'mil.png',
			"ID": "1610612749"
		},
		'Minnesota Timberwolves': {
			"tricode": 'min.png',
			"ID": "1610612750"
		},
		'New Orleans Pelicans': {
			"tricode": 'nop.png',
			"ID": "1610612740"
		},
		'New York Knicks': {
			"tricode": 'nyk.png',
			"ID": "1610612752"
		},
		'Oklahoma City Thunder': {
			"tricode": 'okc.png',
			"ID": "1610612760"
		},
		'Orlando Magic': {
			"tricode": 'orl.png',
			"ID": "1610612753"
		},
		'Philadelphia 76ers': {
			"tricode": 'phi.png',
			"ID": "1610612755"
		},
		'Phoenix Suns': {
			"tricode": 'phx.png',
			"ID": "1610612756"
		},
		'Portland Trail Blazers': {
			"tricode": 'por.png',
			"ID": "1610612757"
		},
		'Sacramento Kings': {
			"tricode": 'sac.png',
			"ID": "1610612758"
		},
		'San Antonio Spurs': {
			"tricode": 'sas.png',
			"ID": "1610612759"
		},
		'Toronto Raptors': {
			"tricode": 'tor.png',
			"ID": "1610612761"
		},
		'Utah Jazz': {
			"tricode": 'uta.png',
			"ID": "1610612762"
		},
		'Washington Wizards': {
			"tricode": 'was.png',
			"ID": "1610612764"
		}
	}

	const FIXED_HEADERS = [
		'ATS',
		'ID',
		'Moneyline',
		'Total',
		'team',
		'timestamp',
	];


	/** Render the data into the table */
	const render = (rows, opt) => {
		var row_headers_fixed = `<tr style="height:70px;">
									<th class="item-name">Game</th>
									<th class="score">Score</th>
									<th class="bet">Bet %</th>
									<th class="money">Money %</th>`;
		//console.log(rows);
		var header_template = "";
		var row_template = "";

		var book_headers = rows[0].sportbooks.filter((e) => {
			if (e.name == "WC" || e.name == "Open") {

				header_template += `<th class="text-center ${e.name}">${e.name}</th>`;
			} else {
				header_template += `<th class="sports-img">
				<figure class="media">
				<img src="<?php echo get_theme_file_uri('images/sportsbooks_logos/') ?>${e.image}" class="img-fluid" alt="">
				</figure>
				</th>`;
			}
			return FIXED_HEADERS.includes(e.name) ? false : e.name;
		});


		row_headers_fixed += header_template + "</tr>"

		//console.log(row_headers_fixed);
		var currentTime = "";
		var newDate = false;
		var summary_row_template = '';

		const groups = rows.reduce((groups, item) => {
			let date = new Date(item.timestamp * 1000);
			var formattedTime = date.toLocaleDateString('en-US');
			const group = (groups[formattedTime] || []);
			group.push(item);
			groups[formattedTime] = group;
			return groups;
		}, {});
		console.log(groups);

		for (let item in groups) {

			row_template += `<tr class="game-board-select" style="background-color: #ddd;">
						<td class="item-name">
							<span class="text">${item}</span>
						</td>
					</tr>`;

			groups[item].forEach((element, index) => {

				var date = new Date(element['timestamp'] * 1000);
				var formattedTime = date.toLocaleTimeString('en-US', {
					hour: '2-digit',
					minute: '2-digit'
				});

				if (opt == "NBA") {
					var src_logo = URL_LOGOS[opt] + NBA_TEAMS[element['team']]['ID'] + '/primary/L/logo.svg';
				} else {
					var src_logo = URL_LOGOS[opt] + element['ID'];
				}


				// work out percentage as a result of total
				var numberFixer = function(num) {
					var result = ((num * 100) / 100);
					return result;
				}



				if (index % 2 == 0) {
					row_template += `<tr data-row_id ="${index}" class="even">
					<td class="item-name">
					<div class="media">
					<img src="${src_logo}" class="img-fluid" alt="" style="height:30px">
					<span class="text" data-team>${element['team']}</span>
					</div>
					<div class="hour">${formattedTime}<a href="#"><img src="<?php echo get_theme_file_uri('images/svg/line-chart.png') ?>"/></a></div>
					</td>				
					<td class="score">N/A</td>
					<td class="bet">${element['tickets_volume_ratio']}<svg width="50" height="50" class="chart">
						<circle r="16" cx="25" cy="25" class="pie" style="stroke-dasharray: ${numberFixer(element['tix_p'])}, 100;"/>
					</svg></td>
					<td class="money">${element['money_volume_ratio']}<svg width="50" height="50" class="chart">
						<circle r="16" cx="25" cy="25" class="pie" style="stroke-dasharray: ${numberFixer(element['mny_p'])}, 100;"/>
					</svg></td>`;
				} else {
					row_template += `<tr data-row_id ="${index}" class="odd">
					<td class="item-name">
					<div class="media">
					<img src="${src_logo}" class="img-fluid" alt="" style="height:30px">
					<span class="text" data-team>${element['team']}</span>
					</div>
					<div><a href="#"><img src="<?php echo get_theme_file_uri('images/svg/wcp.svg') ?>"/></a></div>
					</td>
					<td class="score">N/A</td>
					<td class="bet">${element['tickets_volume_ratio']}</td>
					<td class="money">${element['money_volume_ratio']}</td>`;
				}


				row_template += element.sportbooks.map((e) => {
					return `<td class="sports-img text-right ${e.name}">` + (e.points || "--") + ` &nbsp; ` + (e.odds || "--") + `</td>`;
				});

				row_template += `</tr>`;

				// if (index % 2 != 0)
				// {
				// 	var date = new Date(element['timestamp'] * 1000);
				// 	// Will display time in 10:30:23 format
				// 	var formattedTime = date.toLocaleTimeString('en-US',{ hour: '2-digit', minute: '2-digit' });
				// 	summary_row_template =`<tr class="game-board-select">
				// 		<td class="item-name">
				// 			<div class="radio-check">
				// 				<input  class="radio-check-input" type="checkbox" id="kl-1" name="liveodds-radio">
				// 				<label class="radio-check-label" for="kl-1">
				// 					<span class="radio" data-toggle="tooltip"  title="<div class='tooltip-content'><span class='text'>select this game</span></div>"></span>
				// 					<span class="text">${formattedTime}</span>
				// 				</label>
				// 			</div>
				// 		</td>
				// 		<td class="game-board-progress" colspan="4">
				// 			<div class="progress-wrap">
				// 				<div class="volume">
				// 					<span class="text">Volume</span>
				// 					<span class="marker">
				// 						<span class="line" style="color: #0AC6A1; width: 0%;"></span>
				// 					</span>
				// 					<span class="text">--</span>
				// 				</div>
				// 				<div class="liquidity">
				// 					<span class="text">Liquidity</span>
				// 					<span class="marker">
				// 						<span class="line" style="color: #ED2208; width: 0%;"></span>
				// 					</span>
				// 					<span class="text">--</span>
				// 				</div>
				// 			</div>
				// 		</td>
				// 		<td class="game-board-btn" colspan="3">
				// 			<div class="btn-group">
				// 				<a href="#" class="btn-history"> Line History <span class="icon-arrow-right"></span></a>
				// 				<a href="#" class="btn-wc" data-toggle="tooltip"  title="<div class='tooltip-content tooltip-wc'><span class='text'>Live Odds and Market Monitoring</span></div>"> WC PRO <span class="icon-arrow-right"></span></a>
				// 			</div>
				// 		</td>
				// 	</tr>`;
				// 	//row_template += summary_row_template;
				// }
			});

			//In the case that he needs a brake

		}

		jQuery(".game-board-table #rows").html(row_template);
		jQuery(".game-board-table #headers").html(row_headers_fixed);
	}

	/** Make the request to the API */
	const load = async (url, sport, market) => {
		console.log('load');

		var results = [];

		const response = await jQuery.ajax({
			url: url,
			type: "GET",
			dataType: 'json',
			data: {
				sport: sport,
				market: market,
			},
			beforeSend: function() {
				// Show full page LoadingOverlay
				jQuery.LoadingOverlay("show");
			},
			complete: function() {
				// Hide it after complete
				jQuery.LoadingOverlay("hide");
			},
		}).done(response => {
			//console.log(response);		        
			jQuery.LoadingOverlay("hide");
		}).fail((jqXHR, textStatus) => {
			alert("Request failed: " + textStatus);
		});

		return response.rows;
	}

	/** Initial function */
	const loadSport = async (opt) => {
		const url = "http://web-odds-dev.us-east-1.elasticbeanstalk.com/wc/overview_v2";
		const sport = opt;
		const market = "spreads";
		const data = await load(url, sport, market);
		render(data, opt);
	}

	// jQuery(".navbar-liveodds ul li").on('click', function() {
	// 	var sport = jQuery(this).attr('data-link');
	// 	loadSport(sport);
	// });

	jQuery(document).ready(function($) {
		//setInterval(()=>loadSport(QUERY_SPORT_ID), 30000);
		//loadSport("NFL");

		jQuery(".navbar-liveodds ul li").on('click', function() {
			var sport = jQuery(this).attr('data-link');
			let parent = $(this).parents('ul');
			parent.find("li").removeClass("active");
			$(this).addClass("active");
			QUERY_SPORT_ID = sport;
			loadSport(QUERY_SPORT_ID);
		});

		jQuery(window).scroll(function() {
			if (jQuery("#live-odds").find(".sticky").length > 0) {
				var scrollTop = (window.pageYOffset !== undefined) ? window.pageYOffset : (document.documentElement || document.body.parentNode || document.body).scrollTop;
				console.log(scrollTop);
				jQuery("#headers").css('top', scrollTop - 365)
			} else {
				console.log('remove');
			}
		});

		// Enable Drag & Drop fo the table
		const slider = document.querySelector('.game-board-table');
		let isDown = false;
		let startX;
		let scrollLeft;

		slider.addEventListener('mousedown', (e) => {
			isDown = true;
			slider.classList.add('active');
			startX = e.pageX - slider.offsetLeft;
			scrollLeft = slider.scrollLeft;
		});
		slider.addEventListener('mouseleave', () => {
			isDown = false;
			slider.classList.remove('active');
		});
		slider.addEventListener('mouseup', () => {
			isDown = false;
			slider.classList.remove('active');
		});
		slider.addEventListener('mousemove', (e) => {
			if (!isDown) return;
			e.preventDefault();
			const x = e.pageX - slider.offsetLeft;
			const walk = (x - startX) * 3; //scroll-fast
			slider.scrollLeft = scrollLeft - walk;
			console.log(walk);
		});

		// Sockect implementation

		const socket = io("http://50.19.72.156:8080/");

		socket.on( 'message', function( data ) {
			console.log('reload data');
			loadSport(QUERY_SPORT_ID);
			//location.reload();
			// var actualContent = $( "#messages" ).html();
			// var newMsgContent = '<li> <strong>' + data.name + '</strong> : ' + data.message + '</li>';
			// var content = newMsgContent + actualContent;
			
			// $( "#messages" ).html( content );
		});

	});
</script>


<?php get_footer(); ?>