<?php get_header(); ?>
	
	<div id="primary" class="content-area">
		
		<section id="package-<?php the_ID(); ?>" <?php if(is_singular('product')) { wc_product_class( 'woo-single-package', $product ); } else{ echo 'class="default-page"'; }; ?>>
			<div class="container">
				<div class="row">
					<div class="col">
						<div class="content">
							<?php woocommerce_content(); ?>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /default-page -->

		<?php 
		$packages_slider = get_field( 'packages_slider', 'options' ); 
		if ( $packages_slider && is_singular('product') ): ?>
		<div class="container">
			<div class="row">
				<div class="col">
					<hr>
				</div>
			</div>
		</div>

		<section class="package-slider-wrapper single-package-slider-wrapper">
			<div class="container">
				<?php if ($packages_slider['title'] || $packages_slider['sub_title']): ?>
				<div class="row">
					<div class="col">
						<div class="entry-title">
							<?php
								if ($packages_slider['title']) 
								{
									printf('<h3 class="title text-uppercase font-italic">%s</h3>', $packages_slider['title']);
								}

								if ($packages_slider['sub_title']) 
								{
									printf('<h5 class="sub-title base text-uppercase font-italic">%s</h5>', $packages_slider['sub_title']);
								}
							?>
						</div>
					</div>
				</div>
				<?php endif;

				$upsells = $product->get_upsell_ids();
				if( $upsells ): ?>
				<div class="row">
					<div class="col">
						<div class="packageSliderArrow float-left">
							<button class="slickpPrev slickArrow black"><i class=" icon-arrow-left"></i></button>
						</div>

						<div class="packageSlider <?php if(count($upsells) <= 5) echo 'centerModeDisable'; ?>">
						<?php 
							foreach ($upsells as $key => $pac_slide): 
								$package_cats = get_the_terms( $pac_slide, 'product_cat' );
								$icon = get_field( 'product_cat_icon', 'product_cat_'.$package_cats[0]->term_id );
							?>
							<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12">
								<a href="<?php the_permalink($pac_slide); ?>" class="packageSliderItem">
									<div class="media">
										<?php 
											if (has_post_thumbnail($pac_slide))
											{
												echo get_the_post_thumbnail($pac_slide, 'package_slide', array('class' => 'img-fluid'));
											}
											else
											{
												printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-package-slide.jpg')));
											}
										?>
									</div>

									<div class="content d-flex flex-column justify-content-between">
										<?php
											if ($icon) 
											{
												printf('<div class="icon">
													<i class="%s"></i>
												</div>', $icon);
											}
										?>

										<div class="entry-title">
											<?php
												printf('<h3 class="title separator">%s</h3>', Limit_Text(get_the_title($pac_slide), 30));

												if ($package_cats) 
												{
													printf('<span class="small-title text-uppercase">%s</span>', $package_cats[0]->name);
												}
											?>
										</div>
									</div>
								</a>
							</div><!-- /packageSliderItem -->
							<?php endforeach; ?>
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col">
						<div class="slider-progress"><div class="progress"></div></div>
					</div>
				</div>

				<?php elseif ($packages_slider['packages']): ?>

				<div class="row">
					<div class="col">
						<div class="packageSliderArrow float-left">
							<button class="slickpPrev slickArrow black"><i class=" icon-arrow-left"></i></button>
						</div>

						<div class="packageSlider <?php if(count($packages_slider['packages']) <= 5) echo 'centerModeDisable'; ?>">
						<?php 
							foreach ($packages_slider['packages'] as $key => $pac_slide): 
								$package_cats = get_the_terms( $pac_slide->ID, 'product_cat' );
								$icon = get_field( 'product_cat_icon', 'product_cat_'.$package_cats[0]->term_id );
							?>
							<div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 col-xs-12">
								<a href="<?php the_permalink($pac_slide->ID); ?>" class="packageSliderItem">
									<div class="media">
										<?php 
											if (has_post_thumbnail($pac_slide->ID))
											{
												echo get_the_post_thumbnail($pac_slide->ID, 'package_slide', array('class' => 'img-fluid'));
											}
											else
											{
												printf('<img src="%s" class="img-fluid" alt="Placeholder Image">', esc_url(get_theme_file_uri('images/placeholder-package-slide.jpg')));
											}
										?>
									</div>

									<div class="content d-flex flex-column justify-content-between">
										<?php
											if ($icon) 
											{
												printf('<div class="icon">
													<i class="%s"></i>
												</div>', $icon);
											}
										?>

										<div class="entry-title">
											<?php
												printf('<h3 class="title separator">%s</h3>', Limit_Text(get_the_title($pac_slide->ID), 30));

												if ($package_cats) 
												{
													printf('<span class="small-title text-uppercase">%s</span>', $package_cats[0]->name);
												}
											?>
										</div>
									</div>
								</a>
							</div><!-- /packageSliderItem -->
							<?php endforeach; ?>
						</div>
					</div>
				</div>

				<div class="row">
					<div class="col">
						<div class="slider-progress"><div class="progress"></div></div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /package-slider-wrapper -->
		<?php endif; ?>
	</div><!-- /primary -->

<?php get_footer(); ?>